# QFileInfo Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QFileInfo()
- void QFileInfo(QDir dir, String file)
- void QFileInfo(QFile file)
- void QFileInfo(QFileInfo fileinfo)
- void QFileInfo(String file)

### Constructor Properties

- prototype: The QFileInfo prototype object

### Prototype Object Properties

- QDir absoluteDir()
- String absoluteFilePath()
- String absolutePath()
- String baseName()
- String bundleName()
- bool caching()
- String canonicalFilePath()
- String canonicalPath()
- String completeBaseName()
- String completeSuffix()
- QDateTime created()
- QDir dir()
- bool exists()
- String fileName()
- String filePath()
- String group()
- uint groupId()
- bool isAbsolute()
- bool isBundle()
- bool isDir()
- bool isExecutable()
- bool isFile()
- bool isHidden()
- bool isReadable()
- bool isRelative()
- bool isRoot()
- bool isSymLink()
- bool isWritable()
- QDateTime lastModified()
- QDateTime lastRead()
- bool makeAbsolute()
- bool operator_equal(QFileInfo fileinfo)
- String owner()
- uint ownerId()
- String path()
- bool permission(Permissions permissions)
- Permissions permissions()
- void refresh()
- void setCaching(bool on)
- void setFile(QDir dir, String file)
- qint64 size()
- String suffix()
- String symLinkTarget()

### Instance Properties

QFileInfo objects have no special properties beyond those inherited from the QFileInfo prototype object.